> ## Documentation Index
> Fetch the complete documentation index at: https://docs.llmgenerator.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 크레딧 패키지 목록

> 구매 가능한 크레딧 패키지 목록을 반환하는 엔드포인트입니다.

## GET /credits/packages

구매 가능한 모든 크레딧 패키지 목록을 반환합니다. 공개 엔드포인트이며 인증이 필요하지 않습니다.

### 응답

<ResponseField name="packages" type="array">
  크레딧 패키지 객체 배열입니다.

  <Expandable title="패키지 속성">
    <ResponseField name="id" type="string">
      패키지 고유 식별자입니다.
    </ResponseField>

    <ResponseField name="name" type="string">
      패키지 이름입니다.
    </ResponseField>

    <ResponseField name="credits" type="number">
      패키지에 포함된 크레딧 수입니다.
    </ResponseField>

    <ResponseField name="priceCents" type="number">
      패키지 가격(센트 단위, 예: 999 = \$9.99)입니다.
    </ResponseField>

    <ResponseField name="packageId" type="string">
      결제에 사용되는 내부 패키지 식별자입니다.
    </ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X GET https://api.llmgenerator.com/api/v1/credits/packages
  ```

  ```javascript Node.js theme={null}
  const response = await fetch('https://api.llmgenerator.com/api/v1/credits/packages');
  const data = await response.json();
  ```

  ```python Python theme={null}
  import requests

  response = requests.get('https://api.llmgenerator.com/api/v1/credits/packages')
  data = response.json()
  ```
</RequestExample>

<ResponseExample>
  ```json Success (200) theme={null}
  {
    "packages": [
      {
        "id": "pkg_starter",
        "name": "Starter Pack",
        "credits": 100,
        "priceCents": 499,
        "packageId": "starter"
      },
      {
        "id": "pkg_pro",
        "name": "Pro Pack",
        "credits": 500,
        "priceCents": 1999,
        "packageId": "pro"
      },
      {
        "id": "pkg_enterprise",
        "name": "Enterprise Pack",
        "credits": 2000,
        "priceCents": 4999,
        "packageId": "enterprise"
      }
    ]
  }
  ```
</ResponseExample>
